- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QAccessibleSimpleEditableTextInterface Class Reference

Search for all occurrences

## Detailed Description

Definition at line 153 of file qaccessible2.h.

`#include <qaccessible2.h>`

Inheritance diagram for QAccessibleSimpleEditableTextInterface:
[legend]

List of all members.

## Public Member Functions
| QAccessibleSimpleEditableTextInterface (QAccessibleInterface *accessibleInterface)
void | copyText (int startOffset, int endOffset)
void | deleteText (int startOffset, int endOffset)
void | insertText (int offset, const QString &text)
void | cutText (int startOffset, int endOffset)
void | pasteText (int offset)
void | replaceText (int startOffset, int endOffset, const QString &text)
void | setAttributes (int, int, const QString &)

## Constructor & Destructor Documentation

QAccessibleSimpleEditableTextInterface | ( | QAccessibleInterface * | accessibleInterface | ) |

## Member Function Documentation

void copyText | ( | int | startOffset,
|  | int | endOffset
| ) |  | `[virtual]`

Search for all occurrences

Implements QAccessibleEditableTextInterface.

void deleteText | ( | int | startOffset,
|  | int | endOffset
| ) |  | `[virtual]`

Search for all occurrences

Implements QAccessibleEditableTextInterface.

void insertText | ( | int | offset,
|  | const QString & | text
| ) |  | `[virtual]`

Search for all occurrences

Implements QAccessibleEditableTextInterface.

void cutText | ( | int | startOffset,
|  | int | endOffset
| ) |  | `[virtual]`

Search for all occurrences

Implements QAccessibleEditableTextInterface.

void pasteText | ( | int | offset | ) | `[virtual]`

Search for all occurrences

Implements QAccessibleEditableTextInterface.

void replaceText | ( | int | startOffset,
|  | int | endOffset,
|  | const QString & | text
| ) |  | `[virtual]`

Search for all occurrences

Implements QAccessibleEditableTextInterface.

void setAttributes | ( | int | ,
|  | int | ,
|  | const QString & |
| ) |  | `[inline, virtual]`

Search for all occurrences

Implements QAccessibleEditableTextInterface.

Definition at line 164 of file qaccessible2.h.

    {}

The documentation for this class was generated from the following file:

- QtGui/qaccessible2.h

QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface
QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface QAccessibleSimpleEditableTextInterface